fedora-cvs-commits@redhat.com
[Top] [All Lists]

rpms/iptables/FC-6 iptables.init,1.13,1.14 iptables.spec,1.45,1.46

Subject: rpms/iptables/FC-6 iptables.init,1.13,1.14 iptables.spec,1.45,1.46
From:
Date: Wed, 19 Sep 2007 06:36:40 -0400
Author: twoerner

Update of /cvs/dist/rpms/iptables/FC-6
In directory cvs.devel.redhat.com:/tmp/cvs-serv4076

Modified Files:
        iptables.init iptables.spec 
Log Message:
- fixed return values in init scipt




Index: iptables.init
===================================================================
RCS file: /cvs/dist/rpms/iptables/FC-6/iptables.init,v
retrieving revision 1.13
retrieving revision 1.14
diff -u -r1.13 -r1.14
--- iptables.init       19 Sep 2007 10:30:59 -0000      1.13
+++ iptables.init       19 Sep 2007 10:36:37 -0000      1.14
@@ -307,7 +307,7 @@
        RETVAL=$?
        ;;
     condrestart|try-restart)
-       [ ! -e "$VAR_SUBSYS_IPTABLES" ] && exit 7
+       [ $running -eq 0 ] || exit 0
        restart
        RETVAL=$?
        ;;
@@ -326,7 +326,7 @@
        ;;
     *)
        echo $"Usage: $0 {start|stop|restart|condrestart|status|panic|save}"
-       RETVAL=3
+       RETVAL=2
        ;;
 esac
 


Index: iptables.spec
===================================================================
RCS file: /cvs/dist/rpms/iptables/FC-6/iptables.spec,v
retrieving revision 1.45
retrieving revision 1.46
diff -u -r1.45 -r1.46
--- iptables.spec       19 Sep 2007 10:30:59 -0000      1.45
+++ iptables.spec       19 Sep 2007 10:36:37 -0000      1.46
@@ -149,6 +149,7 @@
 %changelog
 * Wed Sep 19 2007 Thomas Woerner <twoerner@xxxxxxxxxx> 1.3.8-2.1
 - dropped lsb header from init script, delayes start after network
+- fixed return values in init scipt
 
 * Tue Aug 28 2007 Thomas Woerner <twoerner@xxxxxxxxxx> 1.3.8-2
 - FC-6 version

-- 
fedora-cvs-commits mailing list
fedora-cvs-commits@xxxxxxxxxx
https://www.redhat.com/mailman/listinfo/fedora-cvs-commits

<Prev in Thread] Current Thread [Next in Thread>
  • rpms/iptables/FC-6 iptables.init,1.13,1.14 iptables.spec,1.45,1.46, fedora-cvs-commits <=